Subject: [LosAltosFreecycle] Wanted: Preschool skis and boots, wet suit

From: [email-masked]
Date: Mon, 2 Apr 2007 13:33:08 -0700

Child is a tall, skinny almost four year old.  Would love little ski
boots and skis for a size 10 or larger todddler shoe size.   
Wet suit size 4T or 5T would be fabulous!  Will pick up this week.  Thank
you.